Subject: Re: [PATCH 3/3] PS3: System manager support

From: Geoff Levand <[email-masked]>
Date: Tue, 06 Feb 2007 19:53:29 -0800

Michael Ellerman wrote:
>> >> +static void ps3_restart(char *cmd)
>> >> +{
>> >> +	DBG("%s:%d cmd '%s'\n", __func__, __LINE__, cmd);
>> >> +
>> >> +	smp_send_stop();
>> >> +	ps3_sys_manager_restart(); /* never returns */
>> >> +}
>> >> +
>> >> +static void ps3_power_off(void)
>> >> +{
>> >> +	DBG("%s:%d\n", __func__, __LINE__);
>> >> +
>> >> +	smp_send_stop();
>> >> +	ps3_sys_manager_power_off(); /* never returns */
>> >> +}
>> > 
>> > What happens here when the sys manager stuff is built as a module ?
>> 
>> I don't support it as a module yet.  I'll change the Kconfig.
> 
> Yeah OK.
> 
> I don't think it really makes sense for it to be a module. 

Well, I was thinking that for multi-platform binaries it would only be
loaded when running on ps3.  I don't need to support unloading though,
since it is needed for proper shutdown.  Anyway, for now I'll just make
it a static module.

-Geoff